iOS高德地图SDK(搜索) V9.8.0

Loading...
Searching...
No Matches
Properties | List of all members
AMapStep Class Reference

路段基本信息 More...

`#include <AMapCommonObj.h>`

Inheritance diagram for AMapStep:

## Properties
NSString * | instruction
| 行走指示
NSString * | orientation
| 方向
NSString * | road
| 道路名称
NSInteger | distance
| 此路段长度（单位：米）
NSInteger | duration
| 此路段预计耗时（单位：秒）
NSString * | polyline
| 此路段坐标点串
NSString * | action
| 导航主要动作
NSString * | assistantAction
| 导航辅助动作
NSInteger | walkType
| 道路类型
CGFloat | tolls
| 此段收费（单位：元）
NSInteger | tollDistance
| 收费路段长度（单位：米）
NSString * | tollRoad
| 主要收费路段
NSInteger | totalTrafficLights
| 此段交通信号灯个数 since 9.2.0 ( 只在算路2.0接口有效 )
NSArray< AMapCity * > * | cities
| 途径城市 AMapCity 数组，只有驾车路径规划时有效
NSArray< AMapTMC * > * | tmcs
| 路况信息数组，只有驾车路径规划时有效

## Additional Inherited Members
Instance Methods inherited from AMapSearchObject
(NSString *) | - formattedDescription
| 返回格式化的描述信息。通用数据结构和response类型有效。

## Detailed Description

路段基本信息

## Property Documentation

## ◆ action

- (NSString*) action
| read write nonatomic copy

导航主要动作

## ◆ assistantAction

- (NSString*) assistantAction
| read write nonatomic copy

导航辅助动作

## ◆ cities

- (NSArray<AMapCity *>*) cities
| read write nonatomic strong

途径城市 AMapCity 数组，只有驾车路径规划时有效

## ◆ distance

- (NSInteger) distance
| read write nonatomic assign

此路段长度（单位：米）

## ◆ duration

- (NSInteger) duration
| read write nonatomic assign

此路段预计耗时（单位：秒）

## ◆ instruction

- (NSString*) instruction
| read write nonatomic copy

行走指示

## ◆ orientation

- (NSString*) orientation
| read write nonatomic copy

方向

## ◆ polyline

- (NSString*) polyline
| read write nonatomic copy

此路段坐标点串

## ◆ road

- (NSString*) road
| read write nonatomic copy

道路名称

## ◆ tmcs

- (NSArray<AMapTMC *>*) tmcs
| read write nonatomic strong

路况信息数组，只有驾车路径规划时有效

## ◆ tollDistance

- (NSInteger) tollDistance
| read write nonatomic assign

收费路段长度（单位：米）

## ◆ tollRoad

- (NSString*) tollRoad
| read write nonatomic copy

主要收费路段

## ◆ tolls

- (CGFloat) tolls
| read write nonatomic assign

此段收费（单位：元）

## ◆ totalTrafficLights

- (NSInteger) totalTrafficLights
| read write nonatomic assign

此段交通信号灯个数 since 9.2.0 ( 只在算路2.0接口有效 )

## ◆ walkType

- (NSInteger) walkType
| read write nonatomic assign

道路类型

The documentation for this class was generated from the following file:

- AMapCommonObj.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。